// Two Color Twinkle
// 9/3/18 - 12/13/19 Carl F Sutter

#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
  #include <avr/power.h>
#endif

// Neopixel constants
#ifdef ESP8266
  #define PIN D6       // ESP8266 pin for the LED strand data line - GPIO 12
  #define NUMLEDS 338  // the # of LEDs on Carl's house 
#else
  #define PIN 6        // Arduino pin for the LED strand data line
  #define NUMLEDS 200  // 200 is about the max an Arduino Uno or Nano can handle
#endif // ESP8266

// Parameter 1 = number of pixels in strip
// Parameter 2 = Arduino pin number (most are valid)
// Parameter 3 = pixel type flags, add together as needed:
//   NEO_KHZ800  800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)
//   NEO_KHZ400  400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)
//   NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)
//   NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)
//   NEO_RGBW    Pixels are wired for RGBW bitstream (NeoPixel RGBW products)
Adafruit_NeoPixel strip = Adafruit_NeoPixel(NUMLEDS, PIN, NEO_GRB + NEO_KHZ800);

// IMPORTANT: To reduce NeoPixel burnout risk, add 1000 uF capacitor across
// pixel power leads, add 300 - 500 Ohm resistor on first pixel's data input
// and minimize distance between Arduino and first pixel.  Avoid connecting
// on a live circuit...if you must, connect GND first.


void setup() {
  strip.begin();
  strip.show(); // Initialize all pixels to 'off'
} // setup


void loop() {
  int mod;
  
  for(uint16_t i=0; i<strip.numPixels(); i++) {
    mod = i % 5;
    if (mod == 0) strip.setPixelColor(i, strip.Color(255, 0, 0));
    if (mod == 1) strip.setPixelColor(i, strip.Color(0, 255, 0));
    if (mod == 2) strip.setPixelColor(i, strip.Color(204, 50, 0));
    if (mod == 3) strip.setPixelColor(i, strip.Color(0, 0, 255));
    if (mod == 4) strip.setPixelColor(i, strip.Color(255, 240, 0));
  }
  strip.show();

  delay(1000);
 } // loop
